package net.ferrum.business.service;

import net.ferrum.business.domain.QsProjectAttributes;
import net.ferrum.business.domain.vo.QsProjectAttributesVo;
import net.ferrum.business.domain.bo.QsProjectAttributesBo;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目规格Service接口
 *
 * @author ruoyi
 * @date 2025-07-24
 */
public interface IQsProjectAttributesService {

    /**
     * 查询项目规格
     */
    QsProjectAttributesVo queryById(Long id);

    /**
     * 查询项目规格列表
     */
    TableDataInfo<QsProjectAttributesVo> queryPageList(QsProjectAttributesBo bo, PageQuery pageQuery);

    /**
     * 查询项目规格列表
     */
    List<QsProjectAttributesVo> queryList(QsProjectAttributesBo bo);

    /**
     * 新增项目规格
     */
    Boolean insertByBo(QsProjectAttributesBo bo);

    /**
     * 修改项目规格
     */
    Boolean updateByBo(QsProjectAttributesBo bo);

    /**
     * 校验并批量删除项目规格信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据项目ID批量删除项目规格
     */
    public boolean deleteByProjectId(Long projectId);
}
